<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:bind="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.removedroplets.RemoveDropletsViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:id="@+id/parentContainer"
        android:layout_height="match_parent"
        android:background="@color/beige_color">

        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_back"
            bind:handler="@{viewModel}" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:paddingHorizontal="@dimen/spacing_2xl"
            android:paddingTop="@dimen/spacing_large"
            android:scrollbars="none"
            android:id="@+id/scrollView"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/toolbar"
            app:layout_constraintBottom_toTopOf="@id/continueButton">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:id="@+id/container"
                android:layout_height="wrap_content">

                <TextView
                    android:id="@+id/title"
                    style="@style/Title.XL"
                    android:textSize="@dimen/font_title"
                    android:textColor="@color/darkText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/remove_droplet_title"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/subtitle"
                    style="@style/Text.Small"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_small"
                    android:text="@string/remove_droplet_subtitle"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/title" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/dropletsIv"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/spacing_xl"
                    android:scaleType="fitCenter"
                    android:layout_marginHorizontal="@dimen/spacing_3xs"
                    android:src="@drawable/marked_droplets_image"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/subtitle" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </ScrollView>

        <com.vessel.app.views.BlackWithoutOverlayAppButtonViewGroup
            android:id="@+id/continueButton"
            style="@style/FooterButton"
            android:layout_marginBottom="@dimen/spacing_2xl"
            android:onClick="@{() -> viewModel.onContinueClicked()}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:text="@{@string/btn_continue}"
            tools:background="@color/blackAlpha70" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
